UpdateCdpPolicy
UpdateCdpPolicy
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe UUID of the resource.
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringOptional. The name of the resource.
descriptionStringOptional. Optional. The detailed description of the resource.
retentionTimePerDayIntegerOptional. The retention time of the recovery points.
recoveryPointPerSecondIntegerOptional. The retention interval of the recovery points.
hourlyRpSinceDayIntegerRequiredThe day from which to keep a recovery point hourly.
dailyRpSinceDayIntegerRequiredThe day from which to keep a recovery point per day.
expireTimeInDayIntegerRequiredThe expiration time of the backup data.
fullBackupIntervalInDayIntegerRequiredThe interval of the full backup.
resourceUuidStringOptional. The UUID of the resource.
tagUuidsListOptional. The UUID list of the tags.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/cdp-backup-storage/policy/{uuid}/actions
/zstack/v1/cdp-backup-storage/policy/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/cdp-backup-storage/policy/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","retentionTimePerDay":1,"recoveryPointPerSecond":1,"hourlyRpSinceDay":1,"dailyRpSinceDay":1,"expireTimeInDay":1,"fullBackupIntervalInDay":1,"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "MyCdpPolicyName", "description": "MyCdpDescription", "retentionTimePerDay": 7.0, "recoveryPointPerSecond": 5.0 } }Change History
This API has no change history records yet.
